PUT /api/v202405/costCategory/{costCategoryId}

Edits a cost category

EditCostCategoryV202405 Permissions: ApplicationSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
costCategoryId The identifier of the cost category to edit integer (int32) Required

Request Body

CostCategoryEditV202405
Property Description Type
costCategoryInfo Name of the cost category Required Must be between 0 and 255 characters string
Example Request Body application/json
{  "costCategoryInfo": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

CostCategoryResponseV202405
Property Description Type
costCategoryId The cost category identifier Required (defined) integer (int32)
costCategoryInfo Name of the cost category Required (defined) string
Example Response application/json
{  "costCategoryId": 1,  "costCategoryInfo": "string"
}